Edit 4: TC SRM 722 starts in a few minutes. Please register, ASAP. My best wishes to you all.
Hi CodeForcers, TopCoder sent me an email which states that Harvard — NASA Tournament Lab and TopCoder will be sponsoring this SRM (722) and have decided to pay $5 to recognize community members who engage in this SRM(722). The SRM 722 starts on 12 Oct 2017, Thursday at 7:00 am UTC-4.
The email is below:
Hi [username],
You have less than a week to prepare! Topcoder Single Round Match 722 is almost here! Topcoder SRM 722 is scheduled to start at 07:00 UTC -4 on Oct 12, 2017.
The Harvard-NASA Tournament Lab and Topcoder will be sponsoring this SRM and have decided to pay $5 to recognize community members who engage in this SRM.
You can pre-register and see the match details here.
Best of luck! The Topcoder Team
Information on the Harvard-NASA Tournament Lab SRM Run
Edit: I don't know how to add it to the Google Calendar in CF, please somebody do it. Good luck, everybody!
Edit 2: Edit 1 is still valid. Please, somebody add it to the Calendar.
Edit 3: I'm very sorry guys, I got confused about the time. Email indicates UTC -4, but the countdown on TC site is confusing. Hopefully, I set the time correct now. Please check TC site yourselves also and make sure you get the time right. Sorry again for inconvenience.
My mail says I will get the "SRM ENGAGE Award" and "This award will be posted on your private Dashboard and sent to you as a sticker for your laptop after completing the SRM.", nothing about 5$.
What are the requirements to win those 5$ ? Should we just register? Or are there some requirements like being a member for 6 months or having participated in at least one srm or something like that?
A definite requirement: don't cheat
After ~1h Fun SRM will start.
The email says 7:00 UTC -4, but this announcement 7:00 UTC. Schedule of SRMs is nowhere to be found on Topcoder (it is not in the web arena). So, what's the truth?
The calendar is in the community tab, obviously. It says 7:00 Eastern time (UTC -4): https://www.topcoder.com/community/events/
I copied it to my calendar, and it says 07:00 CEST. Not ideal (although that seems to be issue of Google Calendar itself)
So the timeanddate link in this blog is wrong, right?
Also there's a timer here: http://crowdsourcing.topcoder.com/Harvard-NTL-SRM that is showing 1 day 5 hours right now, totally wrong as well, wtf topcoder
I'm so sorry guys.
i got two emails 1st-5$ prize 2nd-sticker for laptop
dont know what exactly is gonna happen. i would like 5$ by the way, make a good dinner here;-)
Can u plz tell why did u recieve those two emails?I secured rank 1 in div 2 ranklist,is there some sticker for me too? :P :)
Reminder: Contest starts in 3hr 30mins. Registeration is already started.
If I open all three problem simultaneously, do point decay start for all problems? Can someone explain how the point decay happens in topcoder?
Yes, the decay starts when you open the problem, even if you work on other problems in the meantime.
For your other question, see How does TopCoder points system work?
Today i expected to solve problems but i only wrote code...
Div 1 hard.
Is the run time for the approach N * 2M * 2M?
O(n × m × 2min(n, m)).
Could please elaborate on where we the optimization happens? I have elaborated my understanding below.
below lines of code contribute to N * 2M
Below lines of code contribute to another 2M
I didn't expect a problem such as 600 to turn up at TopCoder Div1 rated contest, ever. With the added irony of wrong constraints which show a lack of corner case testing. Is cgy4ever still TC Algo admin?
I talked with t-mac and cgy4ever (TopCoder admins), here's the reply:
They knew that the problems were not great for d1 and it was originally planned as an unrated fun SRM. However, due to business reasons, it was important to have at least one rated SRM before TCO, and t-mac decided to use the problems in a rated SRM. There was some misunderstanding between t-mac and cgy4ever, however, so I asked t-mac to discuss with cgy4ever next time.
To be fair, I think the 350 would have made a very nice Div1 Easy.
Probably the easiest Div2 contest in topcoder history.
I've solved (not saying that it will pass / UPD: IT FAILED / UPD2: IT PASSED AGAIN) Div1 Hard in a interesting way:
1. First I found an O(2W·H·FW) solution which FW is W-th Fibonacci number, but since H, W ≤ 14 I thought that it won't pass.
2. I found that it can overflow 64bit integers, so I asked to admins.
3. Admin said "Yes, it overflows — so I'll change H, W to 12".
4. I was happy — my O(2W·H·FW) solution will pass with enough speed.
But, many people are discussing about problem quality of this contest, so I started a topcoder forum thread for discussing about this. I want to improve them. Please share your opinions.
Problems today are too bad. You don't need to think. You just need to code.
Is it rated?
UPD — Yes, it is.
I will write a simple editorial of Div.1 because the official editorial will post 10+ days later.
First, let the total number be 10n.
Second, for each Si.
If there is no Sj which Sj is a prefix of Si, the total number decreases 10n - S[i].size.
You can use binary search for each type. (You can decide the number of core that you use. It can be non-maximum value)
If the number of cores (in binary search) is p:
1. The time that decrease, to increase the number of cores from p to p + 1, is N / (p * (p + 1)).
2. The time that increase, to increase the number of cores from p to p + 1, is penalty.
3. So, if N / (p * (p + 1)) < penalty, you should let right be p. Otherwise, you should let left be p. (N is job length)
You should get the minimum time for each system, so the complexity is O(Q * log(N)). (Q is the number of systems)
You can use dp with bitmasks. The size of array is dp[12 * 12 + 1][212].
It memories dp[position][mask]. masks is the situation (already blocked or not) for next width cells.
For each cell (cx, cy) (In the loop):
1. If there is 'X' on current cell, dp[i + 1][j] + = dp[i][j].
2. If current cell is already blocked, dp[i + 1][j - 2cy] + = dp[i][j].
3. Otherwise, if you want to put the block horizontal, dp[i + 1][j - 2cy + 1] + = dp[i][j]. If you want to put the block vertical, dp[i + 1][j - 2cy] + = dp[i][j].
4. Note there can be 'X' on the cell which you wanted to put, so you should use if-statement.
But there is a mistake in this problem, the constraints of H, W. It should be 12 but it was 14. If the announcement was 20 seconds later, I was going to do resubmission one more time. So this problem like be:
Code is here:
Code
Code
Code
cgy4ever Are you sure 600's test cases are valid? I failed systest on tc #17:
which is a 14x14 grid, which violates the constraints :(
cgy4ever's last visit was: 3 months ago
It's fixed now.